image: registry.git.feneas.org/feneas/infrastructure/docker-images/ci:stable
stages:
- build
- deploy
before_script:
- docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
build:
  stage: build
  script:
  - bash .gitlab/ci/scripts/run.sh
  except:
  - master
deploy:
  stage: deploy
  script:
  - bash .gitlab/ci/scripts/run.sh deploy
  dependencies:
  - build
  only:
  - tags
